<?php
###################################################################
# Administration spécial semaine de parrainage                    #
# un joueur gagne ses points + les points de ses filleuls         #
# Variables IN :                                                  #
# $MatchId : Id du match dont on donne le résultat                #
# $Result : Résultat du match au format X-Y (X et Y deux entiers) #
# $un: si = 1, on passe à la 2eme page                            #
# $deux: si = 1, on passe à la 3eme page                          #
###################################################################
include("../config.php3");
include($BIB."bib_generic.php3");
include($BIB."bib_constants.php3");
include($BIB."bib_admin.php3");


##################################
# Administration script defaults #
##################################

# pas de timeout possible quelle que soit l'action effectuée
set_time_limit($TIME_LIMIT);

# le script continue une fois qu'il est lancé,
# quel que soit l'état de la connection après
ignore_user_abort(true); 


# on récupère la date actuelle
$current_european_date = date("Y-m-d H:i:s", my_local_time());

#####################################
# pour afficher les matchs au début #
#####################################
?>
<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin="0">
<div align="center" class="trTitle">Mise à jour des scores</div>

<form>
	<table>
		<input type="hidden" name="un" value="1">
		<tr>
			<td>
				Match N° :
			</td>
			<td>
				<input type="text" name="MatchId" size="3">
			</td>
		<tr>
			<td>
				Resultat :
			</td>
			<td>
				<input type="text" name="Result" size="5">
			</td>
		</tr>
	</table>
	<br>
	<input type="checkbox" name="DEBUG" value="1">DEBUG MODE
	<br><br>
	<input type="submit" name="Valider" value="Valider">
</form>

<?php
if($go==1)
{
	include("calendar_generatorInExploitation.php3");
}
elseif ($un==1)
{
	$match = db_fetch_array(main_db_query("SELECT * FROM Matchs WHERE MatchId='".$MatchId."'"));
	
	if ($match['Result']!="0")
		die ("Erreur, ce match a déjà été mis à jour.<br>");
		
	if ($match['Date']>=$current_european_date)
		die ("Erreur, ce match n'est pas encore terminé");
	
	# le traitement de ce match est en cours <=> son etat est mis a -1 (protection contre double-click)
	if($rowMotion['etat'] == $TYPE_ETAT['NULL'])
	{
		main_db_query("UPDATE Matchs SET etat='".$TYPE_ETAT['COUR']."' WHERE MatchId='".$MatchId."'");
	}
	else
	{
		die ("Erreur, ce match a déjà été mis à jour.<br>");
	}
	
	$score = explode("-",$Result);
?>
	<form>
	<div class=univers><?php echo $match['Date'] ?></div>
	<font size=5>
	<?php echo $match['Team1']." ".$score[0]." / ".$score[1]." ".$match['Team2'] ?>
	</font>
	<br><br>
	<?php if ($PARRAIN>0) echo "Les parrains gagnent ".$PARRAIN."% des points de leurs filleuls"; ?>
	<br>
	<?php if ($DEBUG==1) echo "DEBUG MODE"; ?>
	<br><br>
	<input type=hidden name=deux value=1>
	<input type=hidden name=MatchId value="<?php echo $MatchId ?>">
	<input type=hidden name=Result value="<?php echo $Result ?>">
	<input type=hidden name=PARRAIN value="<?php echo $PARRAIN ?>">
	<input type=hidden name=DEBUG value="<?php echo $DEBUG ?>">
	<input type=submit value="Validez le score">
	</form>
<?php
	if ($match['Result']!='0')
		echo "<font color=red size=5><b>ATTENTION : CE MATCH A DEJA ETE MIS A JOUR !!!</b></font>";

}
else if ($deux==1)
{
	# 
	?>
	<html>
	<link rel="stylesheet" href="admin.css">
	<body rightmargin=0>
	<div align=center class=trTitle>Mise à jour des scores</div>
	<br>
	</td></tr></table>Calcul des gains<br>
	<?php
	flush();

	
	# recup des infos du match
	$rowMotion = db_fetch_assoc(main_db_query("SELECT * FROM Matchs WHERE MatchId='".$MatchId."' AND Result='0'"));
	
	if (!$rowMotion)
	{
		echo "<font color=red size=5>ERREUR - RECOMMENCER LA MANIPULATION !!!</font>";
		die();
	}

	echo "Calcul des sommes<br>";
	flush();
	

	echo  "mise à jour des scores<br>";
	flush();


	# récup de tous les paris du match
	$rowsBets = main_db_query("SELECT distinct(CONCAT(PlayerId,\"_\",MatchId)),PlayerId,MatchId,Bet,Date,Amount,Done FROM Paris WHERE MatchId=".$MatchId);
	
	$nbPoints = 0;
	$kf = 0;
	
	#debut du tableau de debug
	if ($DEBUG==1)
	{
	###############################
	# pour afficher les resultats #
	###############################

	?>
		<table border="0" cellpadding="4" cellspacing="4" class="univers">
				<tr class="trTitle">
					<td colspan=3>DEBUG MODE</td>
				</tr>
				<tr class="trTitle">
					<td>Joueur N°</td>
					<td>Gain pronostics</td>
					<td>KF</td>
					<td>NB PERFECTS</td>
				</tr>
	<?
	}
	
	$nbPerfects = 0;
	
	# on parcourt chaque paris, on remplit alors PlayerId->gain
	while($rowBet = db_fetch_array($rowsBets))
	{	
		$nbPerfects = 0;
		$nbPoints = calcule_gain_prono($Result,$rowBet['Bet'],$rowBet['Amount'],$rowMotion['Rate1'],$rowMotion['Rate2']);
		$kf =  calcule_gain_prono($Result,$rowBet['Bet'],1,$KF_PERFECT,$KF_CORRECT);
		if( $kf<0 )
			$kf = 0;
		
		# Mise à jour du result dans la table Paris
		if ($kf == 0)
			$result = $RESULTAT_ECHEC;
		elseif ($kf == $KF_CORRECT)
			$result = $RESULTAT_CORRECT;
		elseif ($kf == $KF_PERFECT)
		{
			$nbPerfects++;
			$result = $RESULTAT_PERFECT;
		}
		else 
			$result = $RESULTAT_ATTENTE;

		if ($DEBUG==1)
		{
		###############################
		# pour afficher les resultats #
		###############################
			$color = ($r % 2 == 0)? "#FFFFFF":"#E8E8E8";
			$r++;
			?>
			<tr bgcolor="<?php echo $color ?>">
				<td><?php echo $rowBet['PlayerId'] ?></td>
				<td><?php echo $nbPoints ?></td>
				<td><?php echo $kf ?></td>
				<td><?php echo $nbPerfects ?></td>
			</tr>
	
		<?php
		}		
		else
		{
			# mise à jour des scores et kf des joueurs
			$squery = "UPDATE Players SET KF=KF+".$kf." , Score=Score+".$nbPoints.", Niveau=Niveau+".$nbPerfects." WHERE Id='".$rowBet['PlayerId']."'";
			main_db_query($squery);
			
			# mise à jour des Done et du result
			main_db_query("UPDATE Paris SET Result='".$result."', Done='".$BET_NOT_SENT."' WHERE MatchId='".$MatchId."' AND PlayerId=".$rowBet['PlayerId']);
		}
		# reinitialisation des variables		
		$nbPoints = 0;
		$kf = 0;

	}
	

	if ($DEBUG != 1)
	{
		# mise à jour du resultat et de l etat du match
		main_db_query("UPDATE Matchs SET Result='".$Result."',etat='".$TYPE_ETAT['DONE']."' WHERE MatchId='".$MatchId."'");
	}
	else
	{
		?>
		</table>
		<?php
	}

	############################
	flush();
	echo "<b>mise à jour terminée</b><br>";
	include("calendar_generatorInExploitation.php3");
}
else
{
	?>
	<table border="0" cellpadding="4" cellspacing="4" class="univers">
		<tr class="trTitle">
			<td align="center" colspan="8">Liste des matches terminés</td>
		</tr>
		<tr class="trTitle">
			<td >N°</td>
			<td >Equipe 1</td>	
			<td >Equipe 2</td>		
			<td >Resultat</td>
			<td >Date d'affichage</td>		
			<td >Date de fin de pari</td>
			<td >Coef. pari exact</td>
			<td >Coef. pari gagnant</td>
		</tr>
	<?php
	##########################################################
	# on affiche les matchs disponibles qui n'ont pas encore #
	# été mis à jour, et dont la date limite est dépassée    #
	##########################################################
	
	$rows=main_db_query("SELECT * FROM Matchs WHERE Result='0' AND Date<'".$current_european_date.
		"' ORDER BY Date DESC");
	while($row=db_fetch_array($rows))
	{
		$color = ($r % 2 == 0)? "#FFFFFF":"#E8E8E8";
		$r++;
	?>
		<tr bgcolor="<?php echo $color ?>">
		<td><?php echo $row['MatchId'] ?></td>
		<td><?php echo $row['Team1'] ?></td>
		<td><?php echo $row['Team2'] ?></td>
		<td><?php echo $row['Result'] ?></td>
		<td><?php echo $row['ShowTime'] ?></td>
		<td><?php echo $row['Date'] ?></td>
		<td><?php echo $row['Rate1'] ?></td>
		<td><?php echo $row['Rate2'] ?></td>
		</tr>
	<?php
	}
	?>
		<tr class="trTitle">
			<td colspan="8" class="universBold">&nbsp;<?php echo $error ?></td>
		</tr>
	</table>
	
	
	<?php
}
?>


</body>
</html>
